(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('sweetalert2'), require('axios'), require('crypto-js'), require('sha.js'), require('@angular/common'), require('@angular/forms')) :
    typeof define === 'function' && define.amd ? define('password-change', ['exports', '@angular/core', 'sweetalert2', 'axios', 'crypto-js', 'sha.js', '@angular/common', '@angular/forms'], factory) :
    (global = global || self, factory(global['password-change'] = {}, global.ng.core, global.Swal, global.axios, global.cryptoJs, global.shajs, global.ng.common, global.ng.forms));
}(this, (function (exports, core, Swal, axios, cryptoJs, shajs, common, forms) { 'use strict';

    Swal = Swal && Object.prototype.hasOwnProperty.call(Swal, 'default') ? Swal['default'] : Swal;
    axios = axios && Object.prototype.hasOwnProperty.call(axios, 'default') ? axios['default'] : axios;

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m) return m.call(o);
        if (o && typeof o.length === "number") return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }

    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var PasswordChangeComponent = /** @class */ (function () {
        function PasswordChangeComponent() {
            this.successModify = new core.EventEmitter();
            this.name = '';
            this.lname = '';
            this.position = '';
            this.gender = '';
            this.phone = '';
            this.email = '';
            this.area = '';
            this.sector = '';
            this.currentPassword = '';
            this.newPassword = '';
            this.newConfirmPassword = '';
            this.encryptSecretKey = "alexis";
            this.statusPassword = 'No procede';
            this.status = {
                capitalFlag: false,
                numberFlag: false,
                numberPas: false,
            };
        }
        PasswordChangeComponent.prototype.encryptData = function (data) {
            try {
                return cryptoJs.AES.encrypt(JSON.stringify(data), this.encryptSecretKey).toString();
            }
            catch (e) {
                // console.log(e);
            }
        };
        PasswordChangeComponent.prototype.sendModify = function () {
            var self = this;
            if (this.statusPassword == 'No procede') {
                Swal.fire({
                    title: 'Error',
                    text: 'Su contraseña no coincide con los criterios requeridos. Verifique e intente nuevamente',
                    type: 'error'
                });
            }
            else if (this.newConfirmPassword == this.newPassword) {
                var sentToken = localStorage.getItem("auth-ppa-agrosuper");
                axios({
                    method: 'post',
                    url: 'https://api-dev.tecnoandina.cl/OAuth/update-data',
                    data: {
                        nombre: self.name,
                        apellido: self.lname,
                        cargo: self.position,
                        sexo: self.gender,
                        usuario: self.email,
                        telefono: self.phone,
                        zona: self.area,
                        sector: self.sector,
                        newPassword: shajs('sha256').update(self.newPassword).digest('hex'),
                        oldPassword: shajs('sha256').update(self.currentPassword).digest('hex'),
                    },
                    headers: {
                        "Authorization": 'Bearer ' + sentToken
                    },
                    timeout: 30000,
                }).then(function (response) {
                    Swal.fire({
                        title: 'Solicitud exitosa',
                        text: 'Sus datos se han modificado correctamente',
                        type: 'success'
                    });
                    self.successModify.emit({
                        nombre: self.name,
                        apellido: self.lname,
                        cargo: self.position,
                        sexo: self.gender,
                        usuario: self.email,
                        telefono: self.phone,
                        zona: self.area,
                        sector: self.sector
                    });
                }).catch(function (error) {
                    Swal.fire({
                        title: 'ERROR',
                        text: 'Ocurrió un error al intentar registrar sus datos. Intente nuevamente.',
                        type: 'error'
                    });
                });
            }
            else {
                Swal.fire({
                    title: 'ERROR',
                    text: 'Las contraseñas no coinciden',
                    type: 'error'
                });
            }
        };
        PasswordChangeComponent.prototype.colorCheck = function (prop) {
            if (prop == 'confirmPasswords') {
                if (this.newPassword == this.newConfirmPassword && this.newPassword != '') {
                    return 'ppa-check-success pr-2';
                }
                else {
                    return 'pr-2';
                }
            }
            else if (this.status[prop] == true) {
                return 'ppa-check-success pr-2';
            }
            else {
                return 'pr-2';
            }
        };
        PasswordChangeComponent.prototype.checkString = function (val) {
            var ch;
            var i;
            var message;
            this.status = {
                capitalFlag: false,
                numberFlag: false,
                numberPas: false,
            };
            for (i = 0; i < val.length; i++) {
                ch = val.charAt(i);
                if (val.length >= 8) {
                    this.status.numberFlag = true;
                }
                if ('A' <= val[i] && val[i] <= 'Z') {
                    this.status.capitalFlag = true;
                } // check if you have an uppercase
                if ('0' <= val[i] && val[i] <= '9') {
                    this.status.numberPas = true;
                }
                if (this.status.numberPas == true && this.status.numberFlag == true && this.status.capitalFlag == true) {
                    this.statusPassword = 'Procede';
                    return 'Procede';
                }
                else if (i == (val.length - 1)) {
                    this.statusPassword = 'No procede';
                    return 'No procede';
                }
            }
        };
        PasswordChangeComponent.prototype.formatInput = function (v) {
            if (v == true) {
                return 'form-control ppa-input-border ppa-input-with-error';
            }
            else {
                return 'form-control ppa-input-border ';
            }
        };
        PasswordChangeComponent.prototype.setInputs = function (v, v2) {
            if (v == 'fg1') {
                if (v2 == '') {
                    return 'form-group pt-3';
                }
                else {
                    return 'form-group pt-3 form-group-valid';
                }
            }
            else if (v == 'fg2') {
                if (v2 == '') {
                    return 'form-group';
                }
                else {
                    return 'form-group form-group-valid';
                }
            }
            else if (v == 1) {
                if (v2 == '') {
                    return 'form-control-placeholder';
                }
                else {
                    return 'form-control-placeholder ppa-input-with-text';
                }
            }
            else {
                if (v2 == '') {
                    return 'form-control-placeholder';
                }
                else {
                    return 'form-control-placeholder ppa-input-with-text';
                }
            }
        };
        PasswordChangeComponent.prototype.ngOnInit = function () {
            if (this.userData != undefined) {
                this.name = this.userData.nombre;
                this.lname = this.userData.apellido;
                this.position = this.userData.cargo;
                this.phone = this.userData.telefono;
                this.email = this.userData.email;
                this.area = this.userData.zona;
                this.gender = this.userData.sexo;
                this.sector = this.userData.sector;
            }
        };
        __decorate([
            core.Output()
        ], PasswordChangeComponent.prototype, "successModify", void 0);
        __decorate([
            core.Input()
        ], PasswordChangeComponent.prototype, "userData", void 0);
        PasswordChangeComponent = __decorate([
            core.Component({
                selector: 'ppa-user-data-change',
                template: "<div class=\"card p-3 ppa-change-password-component\">\r\n    <form #formModifyData=\"ngForm\" ngNativeValidate (ngSubmit)=\"sendModify()\" class=\"card-body row\">\r\n        <div class=\"col-12 mb-0\">\r\n            <p class=\"ppa-change-password-title mb-0\">Datos Personales</p></div>\r\n        <div class=\"col-12 col-sm-6 col-md-4\">\r\n            <div [ngClass]=\"setInputs('fg1',name)\">\r\n                <input type=\"text\" id=\"name\" [ngClass]=\"formatInput((nameInput.invalid && (nameInput.dirty || nameInput.touched)))\" name=\"name\" minlength=\"3\" #nameInput=\"ngModel\" [(ngModel)]=\"name\" required>\r\n                <label [ngClass]=\"setInputs(1,name)\" for=\"name\">Nombre</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 col-sm-6 col-md-4\">\r\n            <div [ngClass]=\"setInputs('fg1',lname)\">\r\n                <input type=\"text\" id=\"lname\" [ngClass]=\"formatInput((lnameInput.invalid && (lnameInput.dirty || lnameInput.touched)))\" #lnameInput=\"ngModel\" name=\"lname\" minlength=\"3\" [(ngModel)]=\"lname\" required>\r\n                <label [ngClass]=\"setInputs(1,lname)\" for=\"lname\">Apellido</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 col-sm-6 col-md-4\">\r\n            <div [ngClass]=\"setInputs('fg1',position)\">\r\n                <select id=\"position\" [ngClass]=\"formatInput((positionInput.invalid && (positionInput.dirty || positionInput.touched)))\" #positionInput=\"ngModel\" name=\"position\" minlength=\"3\" [(ngModel)]=\"position\" required>\r\n                    <option value=\"Gerente General\">Gerente General</option>\r\n                    <option value=\"Gerente\">Gerente</option>\r\n                    <option value=\"Sub-gerente\">Sub-gerente</option>\r\n                    <option value=\"Jefe de Sector\">Jefe de Sector</option>\r\n                    <option value=\"Jefe de Terreno\">Jefe de Terreno</option>\r\n                    <option value=\"Jefe de Crianza\">Jefe de Crianza</option>\r\n                    <option value=\"Otro\">Otro</option>\r\n                </select>\r\n                <label [ngClass]=\"setInputs(1,position)\" for=\"position\">Cargo</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 col-sm-6 col-md-4\">\r\n            <div [ngClass]=\"setInputs('fg1',gender)\">\r\n                <select id=\"gender\" name=\"gender\" minlength=\"3\" [ngClass]=\"formatInput((genderInput.invalid && (genderInput.dirty || genderInput.touched)))\" #genderInput=\"ngModel\" [(ngModel)]=\"gender\" required>\r\n                    <option value=\"Masculino\">Masculino</option>\r\n                    <option value=\"Femenino\">Femenino</option>\r\n                </select>\r\n                <label [ngClass]=\"setInputs(1,gender)\" for=\"position\">Sexo</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 col-sm-6 col-md-4\">\r\n            <div [ngClass]=\"setInputs('fg1',email)\">\r\n                <input type=\"email\" autocomplete=\"off\" id=\"email\" name=\"email\" [ngClass]=\"formatInput((emailInput.invalid && (emailInput.dirty || emailInput.touched)))\" #emailInput=\"ngModel\" [(ngModel)]=\"email\" required>\r\n                <label [ngClass]=\"setInputs(1,email)\" for=\"email\">Correo Electr\u00F3nico</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 col-sm-6 col-md-4\">\r\n            <div [ngClass]=\"setInputs('fg1',phone)\">\r\n                <input type=\"text\" id=\"phone\" [ngClass]=\"formatInput((phoneInput.invalid && (phoneInput.dirty || phoneInput.touched)))\" #phoneInput=\"ngModel\" name=\"phone\" pattern=\"[0-9]{9}\" maxlength=\"9\" [(ngModel)]=\"phone\" required>\r\n                <label [ngClass]=\"setInputs(1,phone)\" for=\"phone\">Tel\u00E9fono</label>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 row m-0 p-0\">\r\n            <div class=\"col-12 col-md-8 row m-0 p-0\">\r\n                <div class=\"col-12\">\r\n                    <p class=\"ppa-change-password-title mb-0\">Ubicaci\u00F3n</p>\r\n                </div>\r\n                <div class=\"col-12 col-sm-6\">\r\n                    <div [ngClass]=\"setInputs('fg1',area)\">\r\n                        <select id=\"area\" name=\"area\" (change)=\"sector = ''\" [ngClass]=\"formatInput((areaInput.invalid && (areaInput.dirty || areaInput.touched)))\" #areaInput=\"ngModel\" [(ngModel)]=\"area\" required>\r\n                            <option [ngValue]=\"'Longovilo'\">Longovilo</option>\r\n                            <option [ngValue]=\"'Valdebenito'\">Valdebenito</option>\r\n                            <option [ngValue]=\"'Rancagua'\">Rancagua</option>\r\n                            <option [ngValue]=\"'Estrella'\">Estrella</option>\r\n                            <option [ngValue]=\"'San Francisco'\">San Francisco</option>\r\n                            <option [ngValue]=\"'Oficina Central'\">Oficina Central</option>\r\n                        </select>\r\n                        <label [ngClass]=\"setInputs(1,area)\" for=\"area\">Zona</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-12 col-sm-6\">\r\n                    <div [ngClass]=\"setInputs('fg1',sector)\">\r\n                        <select id=\"sector\" name=\"sector\" [ngClass]=\"formatInput((sectorInput.invalid && (sectorInput.dirty || sectorInput.touched)))\" #sectorInput=\"ngModel\" [(ngModel)]=\"sector\" required minlength=\"3\">\r\n                            <option value=\"\"></option>\r\n                            <option [ngValue]=\"'El Mirador'\" *ngIf=\"area == 'Valdebenito'\">El Mirador</option>\r\n                            <option [ngValue]=\"'Bosque Viejo'\" *ngIf=\"area == 'Rancagua'\">Bosque Viejo</option>\r\n                            <option [ngValue]=\"'La Esmeralda'\" *ngIf=\"area == 'Rancagua'\">La Esmeralda</option>\r\n                            <option [ngValue]=\"'Don Ambrosio'\" *ngIf=\"area == 'Estrella'\">Don Ambrosio</option>\r\n                            <option [ngValue]=\"'Longovilo'\" *ngIf=\"area == 'Longovilo'\">Longovilo</option>\r\n                            <option [ngValue]=\"'Santa Teresa'\" *ngIf=\"area == 'San Francisco'\">Santa Teresa</option>\r\n                            <option [ngValue]=\"'San Pedro'\" *ngIf=\"area == 'San Francisco'\">San Pedro</option>\r\n                            <option [ngValue]=\"'Oficina Central'\" *ngIf=\"area == 'Oficina Central'\">Oficina Central</option>\r\n                        </select>\r\n                        <label [ngClass]=\"setInputs(1,sector)\" for=\"sector\">Sector</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-12\">\r\n                    <p class=\"ppa-change-password-title mb-0\">Seguridad</p>\r\n                </div>\r\n                <div class=\"col-12 col-sm-6 col-lg-4\">\r\n                    <div [ngClass]=\"setInputs('fg1',currentPassword)\" style=\"margin-bottom:0px !important\">\r\n                        <input autocomplete=\"off\" type=\"password\" id=\"currentPassword\" name=\"currentPassword\" minlength=\"8\" [ngClass]=\"formatInput((currentPasswordInput.invalid && (currentPasswordInput.dirty || currentPasswordInput.touched)))\" #currentPasswordInput=\"ngModel\" [(ngModel)]=\"currentPassword\" required>\r\n                        <label [ngClass]=\"setInputs(1,currentPassword)\" for=\"currentPassword\">Contrase\u00F1a Actual</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-12 col-sm-6 col-lg-4\">\r\n                    <div [ngClass]=\"setInputs('fg1',newPassword)\" style=\"margin-bottom:0px !important\">\r\n                        <input autocomplete=\"off\" type=\"password\" (input)=\"checkString(newPassword)\" id=\"newPassword\" class=\"form-control\" name=\"newPassword\" minlength=\"8\" #ngModel [(ngModel)]=\"newPassword\" required>\r\n                        <label [ngClass]=\"setInputs(1,newPassword)\" for=\"newPassword\">Contrase\u00F1a Nueva</label>\r\n                    </div>\r\n                </div>\r\n                <div class=\"col-12 col-sm-6 col-lg-4 mx-auto\">\r\n                    <div [ngClass]=\"setInputs('fg1',newConfirmPassword)\" style=\"margin-bottom:0px !important\">\r\n                        <input autocomplete=\"off\" type=\"password\" id=\"newConfirmPassword\" class=\"form-control\" name=\"newConfirmPassword\" minlength=\"8\" #ngModel [(ngModel)]=\"newConfirmPassword\" required>\r\n                        <label [ngClass]=\"setInputs(1,newConfirmPassword)\" for=\"newConfirmPassword\">Repetir Contrase\u00F1a</label>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class=\"col-12 col-md-4 d-flex mt-3 mt-md-auto\">\r\n                <div class=\"w-100 card mt-auto mb-0\" style=\"background-color: rgba(131,142,171,.1) !important; border:0 !important\">\r\n                    <div class=\"card-body\">\r\n                        <p class=\"ppa-change-password-title text-justify mb-2\">Su nueva contrase\u00F1a deber\u00E1 cumplir con las siguientes caracter\u00EDsticas:</p>\r\n                        <p><span [ngClass]=\"colorCheck('numberFlag')\"><i class=\"fa fa-check\"></i></span> Deber\u00E1 contener al menos 8 caracteres <br> <span [ngClass]=\"colorCheck('capitalFlag')\"><i class=\"fa fa-check\"></i></span> Tener al menos una mayuscula<br> <span [ngClass]=\"colorCheck('numberPas')\"><i class=\"fa fa-check\"></i></span> Tener al menos un n\u00FAmero<br> <span [ngClass]=\"colorCheck('confirmPasswords')\"><i class=\"fa fa-check\"></i></span> Las dos contrase\u00F1as deben coincidir</p>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div class=\"col-12 text-center mt-5\">\r\n            <button type=\"submit\" class=\"btn px-5 py-2\" style=\"border-radius:.5rem !important; background-color: #226BD1; color: white; font-family: 'Mada', sans-serif; font-weight:bold; font-size:18px\">Guardar cambios</button>\r\n        </div>\r\n    </form>\r\n</div>\r\n",
                styles: ["@import url(https://fonts.googleapis.com/css?family=Mada:400,700&display=swap);@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,700&display=swap);@import url(https://use.fontawesome.com/releases/v5.6.3/css/all.css);.ppa-change-password-component{font-family:\"Open Sans\",sans-serif}.ppa-change-password-component p{color:#060606!important}.ppa-input-border{border-radius:.5rem!important}.ppa-change-password-component .ppa-check-success{color:green!important}.ppa-change-password-component .ppa-change-password-title{font-family:Mada,sans-serif!important;font-size:18px!important;font-weight:700}.ppa-change-password-component .form-control-placeholder{position:absolute;top:0;padding:30px 0 0 15px;transition:.2s;opacity:.5}.ppa-change-password-component .form-group-valid .form-control:invalid,.ppa-input-with-error{border:1px solid red!important}.ppa-change-password-component .form-control:-webkit-autofill,.ppa-change-password-component .form-control:-webkit-autofill:focus,.ppa-change-password-component .form-control:-webkit-autofill:hover,.ppa-change-password-component input:-webkit-autofill:active{background:#fff!important;box-shadow:0 0 0 30px #fff inset!important;-webkit-box-shadow:0 0 0 30px #fff inset!important;color:#000!important}.ppa-change-password-component .form-control:focus+.form-control-placeholder,.ppa-change-password-component .form-control:invalid+.ppa-input-with-text,.ppa-change-password-component .form-control:valid+.form-control-placeholder{font-size:14px;transform:translate3d(0,25%,0);opacity:1;margin-left:10px!important;background-color:#fff!important;padding:0 5px!important}.ppa-change-password-component .ppa-input-with-error+.form-control-placeholder{color:red!important}.ppa-change-password-component .form-control{height:50px!important}"]
            })
        ], PasswordChangeComponent);
        return PasswordChangeComponent;
    }());

    var PasswordChangeModule = /** @class */ (function () {
        function PasswordChangeModule() {
        }
        PasswordChangeModule = __decorate([
            core.NgModule({
                declarations: [PasswordChangeComponent],
                imports: [
                    common.CommonModule,
                    forms.FormsModule
                ],
                exports: [PasswordChangeComponent]
            })
        ], PasswordChangeModule);
        return PasswordChangeModule;
    }());

    exports.PasswordChangeModule = PasswordChangeModule;
    exports.ɵa = PasswordChangeComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=password-change.umd.js.map
